Raster Auth Check
GET
/tiles/raster-auth-check/
const url = 'https://example.com/api/tiles/raster-auth-check/?dataset_id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/tiles/raster-auth-check/?dataset_id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --header 'Authorization: Bearer <token>'Auth-check endpoint called by nginx auth_request for raster tile serving.
Validates RBAC access to a raster dataset and returns the COG open-path in response headers (which nginx passes to Titiler, never the browser).
Returns: 200 with X-GeoLens-Asset-OpenPath and X-GeoLens-Cache-Status headers 401 if authentication is required but missing 403 if embed token is invalid 404 if dataset not found, not a raster, or has no raster asset
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” dataset_id
required
Dataset Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}